Skip to main content
POST
/
v1
/
households
/
{household_id}
/
opportunities
Create a opportunity
curl --request POST \
  --url https://api.slant.app/v1/households/{household_id}/opportunities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "New Investment Opportunity",
  "value": 500000,
  "probability": 75,
  "target_close_date": "2026-06-01T00:00:00Z",
  "pipeline_id": "pipeline123xyz",
  "pipeline_stage_id": "stage123xyz",
  "owner_id": "user123xyz"
}
'
{
  "id": "abc123xyz",
  "name": "New Investment Opportunity",
  "book_id": "book123xyz",
  "pipeline": {
    "id": "pipeline123xyz",
    "name": "Sales Pipeline",
    "pipeline_type": "prospect"
  },
  "pipeline_stage": {
    "id": "stage123xyz",
    "name": "Qualified"
  },
  "assigned_to": {
    "id": "abc123xyz",
    "email": "user@example.com",
    "first_name": "John",
    "last_name": "Doe"
  },
  "value": 5000,
  "probability": 75,
  "target_close_date": "2023-11-07T05:31:56Z",
  "stage_updated_at": "2023-11-07T05:31:56Z",
  "household_id": "household123xyz",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Headers

Idempotency-Key
string

Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.

Path Parameters

household_id
string
required

The household ID

Body

application/json

Opportunity data

name
string
required

Name of the opportunity

Example:

"New Investment Opportunity"

value
integer

The monetary value of the opportunity in cents

Example:

500000

probability
integer

The probability of closing (0-100)

Example:

75

target_close_date
string<date-time>

Expected close date (must be in the future)

Example:

"2026-06-01T00:00:00Z"

pipeline_id
string

The pipeline ID (defaults to household type pipeline)

Example:

"pipeline123xyz"

pipeline_stage_id
string

The pipeline stage ID (defaults to first stage)

Example:

"stage123xyz"

owner_id
string

The owner user ID (defaults to authenticated user)

Example:

"user123xyz"

Response

opportunity created

id
string
required

The opportunity ID

Example:

"abc123xyz"

name
string
required

The name of the opportunity

Example:

"New Investment Opportunity"

book_id
string
required

The book ID

Example:

"book123xyz"

pipeline
object
required
pipeline_stage
object
required
assigned_to
object
required
value
integer | null

The monetary value of the opportunity in dollars

Example:

5000

probability
integer | null

The probability of closing (0-100)

Example:

75

target_close_date
string<date-time> | null

Expected close date

stage_updated_at
string<date-time> | null

When the stage was last updated

household_id
string | null

The household ID (null for unassociated opportunities)

Example:

"household123xyz"

created_at
string<date-time>

When the opportunity was created

updated_at
string<date-time>

When the opportunity was last updated